package yatzy;

import java.util.List;

/**
 * A single Yatzy player
 * @author hajo
 */

public class Player {

    private final String name;
    private final Score score;
    private final int ordinal; // The ordinal number fot player

    public Player(String name, int ordinal) {
        this.name = name;
        this.ordinal = ordinal;
        this.score = new Score();
    }

    public String getName() {
        return name;
    }

    public void setScore(int row, int value) {
        score.setScore(row, value);
    }

    public List<RowValue> getScoreValues() {
        return score.values();
    }

    public int getOrdinal() {
        return ordinal;
    }

    @Override
    public String toString() {
        return "Player{" + "name=" + name + ", score=" + score + ", ordinal=" + ordinal + '}';
    }
    
    
}
