package yatzy.gui;

import java.awt.Color;
import java.awt.Component;
import java.awt.GridLayout;
import java.awt.event.ActionListener;
import java.awt.event.MouseListener;
import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.border.Border;

/**
 *
 *
 * Table for all scores Automatically augmented with headers and labels (first
 * on each row)
 *
 * The table is 0-indexed starting with 0,0 for the left most upper text field
 * (labels are excluded)
 *
 *
 * @author hajo
 */
public class Table extends JPanel {

    private int rows;
    private int cols;
    private Color enabled;
    private Color disabled;

    public Table(int r, int c, String[] headers, String[] labels) {
       
    }

    public void setEnabledColor(Color c) {
        this.enabled = c;
    }

    public void setDisabledColor(Color c) {
        this.disabled = c;
    }

    @Override
    public void setEnabled(boolean b) {
        for (Component c : getComponents()) {
            if (c instanceof JTextField) {
                c.setEnabled(b);
                if (b) {
                    c.setBackground(enabled);
                } else {
                    c.setBackground(disabled);
                }
            }
        }
    }
}
